scala
class DefaultBufferedIterator

[source: `scala/DefaultBufferedIterator.scala`]

`abstract` `class` DefaultBufferedIterator[+A]
  `extends` BufferedIterator[A]

Direct Known Subclasses:
  Iterator.PredicatedIterator, RollbackIterator

Method Summary
`protected override def` | defaultPeek : A element returned when no element left to iterate over; throws `NoSuchElementException` by default
`protected abstract def` | fill : Seq[A] used to fill lookahead buffer
`override def` | hasNext : Boolean Does this iterator provide another element?
`override def` | next : A Returns the next element.
`override def` | peekList (sz : Int) : Seq[A] returns the first `sz` elements that will be iterated by this iterator, or fewer if the iterator has less elements left to iterate over
`protected[this] def` | putBack (a : Any) : Unit

Methods inherited from BufferedIterator
head, peek, readIf, readWhile, startsWith, buffered, toString

Methods inherited from Iterator
take, drop, map, append, ++, flatMap, filter, takeWhile, dropWhile, zip, zipWithIndex, foreach, forall, exists, contains, find, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, counted, duplicate, copyToArray, readInto, readInto, readInto, copyToBuffer, toList, mkString, mkString, addString

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`protected[this]` `def` putBack(a : Any) : Unit

`protected override` `def` defaultPeek : A

  element returned when no element left to iterate over; throws `NoSuchElementException` by default

Overrides
  BufferedIterator.defaultPeek

`override` `def` hasNext : Boolean

  Does this iterator provide another element?

Overrides
  BufferedIterator.hasNext

`protected abstract` `def` fill : Seq[A]

  used to fill lookahead buffer

`override` `def` peekList(sz : Int) : Seq[A]

  returns the first `sz` elements that will be iterated by this iterator, or fewer if the iterator has less elements left to iterate over

Overrides
  BufferedIterator.peekList

`override` `def` next : A

  Returns the next element.